<script setup lang="ts">
import { defineProps, withDefaults } from "vue";

withDefaults(
		defineProps<{
			isActive?: boolean;
			title: string,
		}>(),
		{
			isActive: false,
			title: '',
		}
);
</script>

<template>
	<li
		class="line-item py-3"
		:class="{ 'active': isActive }"
	>
		<span>{{ title }}</span>
	</li>
</template>

<style lang="scss" scoped>
.line-item {
	border-bottom: 1px solid #e2e4ea;
	padding-left: 20px;
	&.active {
		color: #1952E1 !important;
	}
	&:hover {
		background-color: #f8f8fb !important;
		color: #1952E1 !important;
		cursor: pointer;
	}
}
</style>
